//---------------------------------------------------------------------------

#ifndef FrmCamViewFH
#define FrmCamViewFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
#include "CDSCctvF.h"
#include <ExtCtrls.hpp>
#include "AcesTechXPlayer2Lib_OCX.h"
#include <OleCtrls.hpp>
#include <Menus.hpp>
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxEdit.hpp"
#include "cxGraphics.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
//---------------------------------------------------------------------------
class TFrmCamera : public TForm
{
__published:	// IDE-managed Components
    TPanel *PnlCamera;
    TPopupMenu *PopupMenu1;
    TMenuItem *MnuConnect;
    TMenuItem *MnuDisconnect;
    TMenuItem *MnuRelease;
    TMenuItem *N2;
    TAcesTechXPlayer2 *AcesTechXPlayer21;
    TcxLabel *LblName;
    TTimer *TmrPlay;
    TTimer *TmrStop;
    void __fastcall MnuConnectClick(TObject *Sender);
    void __fastcall MnuDisconnectClick(TObject *Sender);
    void __fastcall MnuReleaseClick(TObject *Sender);
    void __fastcall PnlCameraDragOver(TObject *Sender, TObject *Source, int X, int Y, TDragState State, bool &Accept);
    void __fastcall PnlCameraDragDrop(TObject *Sender, TObject *Source, int X, int Y);
    void __fastcall TmrPlayTimer(TObject *Sender);
    void __fastcall TmrStopTimer(TObject *Sender);
    void __fastcall LblNameClick(TObject *Sender);

private:	// User declarations
public:		// User declarations
    __fastcall TFrmCamera(TComponent* Owner);

    String  FTitle;
    bool    FAutoPlay;
    bool    FPlay;
    long    FConHandle;

    bool    FInstalled;
    String  FId;
    String  FGroup;
    String  FName;
    String  FStreamingType;
    String  FViewAddress;
    String  FFullAddress;

    void __fastcall InitCamera(TXCctv *ACctv, bool AAutoPlay=true);
    void __fastcall DisplayName(String AName);
    void __fastcall UpdateCctvMasterInfo();

    void __fastcall Connect();
    void __fastcall Disconnect();
    void __fastcall CameraRelease();
};
//---------------------------------------------------------------------------
extern PACKAGE TFrmCamera *FrmCamera;
//---------------------------------------------------------------------------
#endif

